Subject: bug#14844: 24.3.50; `line-move-1': remove unused parameter _TO-END

From: Drew Adams <[email-masked]>
Date: Thu, 11 Jul 2013 09:12:04 -0700 (PDT)

In addition, this unused parameter was apparently introduced in Emacs 22.
And it was *never even used then*, anywhere.
Its time has clearly come and gone.

> Worse.  It seems that the TO-END arg is not used *anywhere*, and should be
> removed from `line-move' and `line-move-partial' as well.  Too bad these
> functions do not even have doc strings to explain what was intended by the
> creation of this unused parameter.
> 
> > Occam's razor says it should not be.